summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHeiko Schlittermann (HS12-RIPE) <hs@schlittermann.de>2016-11-24 13:02:53 +0100
committerHeiko Schlittermann (HS12-RIPE) <hs@schlittermann.de>2016-11-24 13:02:53 +0100
commite3ad39bd4156cc80ae3b20b8839cb9c0b238b31b (patch)
treeba137eb473c23e36a8d68539b042290047e54862
parentc39708e72cbbae3c2ce69b9c1a8ca10a4781379f (diff)
Testsuite: patchexim now uses /usr/bin/env
-rwxr-xr-xtest/patchexim11
1 files changed, 7 insertions, 4 deletions
diff --git a/test/patchexim b/test/patchexim
index 3052b5dac..9659ba133 100755
--- a/test/patchexim
+++ b/test/patchexim
@@ -1,4 +1,7 @@
-#! /usr/bin/perl -w
+#! /usr/bin/env perl
+
+use strict;
+use warnings;
###############################################################################
# This is an auxiliary script that is part of the Exim test suite. It must be #
@@ -10,8 +13,8 @@
# be copied. The script must be run in the correct current directory. #
###############################################################################
-open(IN, "$ARGV[0]") || die "** Failed to open $ARGV[0]: $!\n";
-open(OUT, ">eximdir/exim") || die "** Failed to open eximdir/exim: $!\n";
+open(IN, $ARGV[0]) || die "** Failed to open $ARGV[0]: $!\n";
+open(OUT, '>eximdir/exim') || die "** Failed to open eximdir/exim: $!\n";
while(<IN>)
{
@@ -23,6 +26,6 @@ while(<IN>)
close(IN);
close(OUT);
-chmod 04755, "eximdir/exim";
+chmod 04755, 'eximdir/exim';
# End of patchexim script